GET private-agents
Retrieves a list of private agents for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-agents?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"agent_id": "70c48015-59ec-4eda-b408-1010c8e39970",
"agent_name": "sample string 2",
"customer_guid": "4911a34a-8eaf-42a0-9c62-7a7e27410fd3",
"geoloc": "sample string 4",
"created_utc": "2026-10-23T02:47:53",
"last_updated_utc": "2026-10-23T02:47:53",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-10-23T02:47:53",
"certificate_valid_till_utc": "2026-10-23T02:47:53",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "f095de0c-97df-404a-beb0-6c7f7a0c6ea3",
"agent_name": "sample string 2",
"customer_guid": "4901372e-2163-4061-9316-1bd44fb97270",
"geoloc": "sample string 4",
"created_utc": "2026-10-23T02:47:53",
"last_updated_utc": "2026-10-23T02:47:53",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-10-23T02:47:53",
"certificate_valid_till_utc": "2026-10-23T02:47:53",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "701a0887-c47a-46f2-813e-8e29288694dc",
"agent_name": "sample string 2",
"customer_guid": "7de9eba0-12b6-4310-b979-5673aa5491cf",
"geoloc": "sample string 4",
"created_utc": "2026-10-23T02:47:53",
"last_updated_utc": "2026-10-23T02:47:53",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-10-23T02:47:53",
"certificate_valid_till_utc": "2026-10-23T02:47:53",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
}
]
| Name | Type | Description |
|---|---|---|
| AgentId | Guid |
The unique identifier of the agent. |
| AgentName | String |
The name of the agent. |
| CustomerGuid | Guid |
The unique identifier of the customer. |
| Geoloc | String |
The geolocation string. |
| CreatedUtc | DateTime |
The UTC timestamp when the agent was created. |
| LastUpdatedUtc | DateTime |
The UTC timestamp when the agent was last updated. |
| Enabled | Boolean |
Indicates whether the agent is enabled. |
| Health | String |
The health status of the agent. |
| Status | String |
The current status of the agent. |
| StatusUpdatedAt | Integer |
The timestamp when the status was last updated. |
| CertificateValidFromUtc | DateTime |
The UTC timestamp from when the agent's certificate is valid. |
| CertificateValidTillUtc | DateTime |
The UTC timestamp until the agent's certificate is valid. |
| NodeStatus | String |
The status of the node. |
| StatusDescription | String |
A description of the agent's status. |
| SchedulingEligibility | String |
Indicates the scheduling eligibility of the agent. |